# $Revision: 1.9 $, $Date: 2004/08/19 04:55:23 $
Summary:	Exterminate All Rational Thought
Summary(pl):	Zniszczy Wszystkie Racjonalne Myli
Name:		dadadodo
Version:	1.04
Release:	3
License:	GPL-like
Group:		Applications/Text
Source0:	http://www.jwz.org/dadadodo/%{name}-%{version}.tar.gz
# Source0-md5:	d3ff69c4e71c328586b1c6ca2130a4b3
Patch0:		%{name}-ctype.patch
URL:		http://www.jwz.org/dadadodo/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DadaDodo is a program that analyses texts for word probabilities, and
then generates random sentences based on that. Sometimes these
sentences are nonsense; but sometimes they cut right through to the
heart of the matter, and reveal hidden meanings.

%description -l pl
DadaDodo jest programem analizujcym teksty pod ktem
prawdopodobiestwa pojawiania si sw, a nastpnie generujcym losowe
zdania. Czasami te zdania s bez sensu, lecz zdarza si, e trafiaj w
sedno, lub odsaniaj ukryte znaczenia.

%prep
%setup -q
%patch -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install dadadodo $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README dodotodo
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dadadodo.spec,v $
Revision 1.9  2004/08/19 04:55:23  averne
- rel 3

Revision 1.8  2003/12/06 16:03:20  undefine
- release 2 to rebuild with ac

Revision 1.7  2003/05/26 16:24:51  malekith
- massive attack: adding Source-md5

Revision 1.6  2003/05/25 05:46:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/05/15 23:05:21  qboosh
- updated to 1.04 (some crashes fixed)

Revision 1.4  2002/09/14 20:19:03  qboosh
- ctype patch - use locale-based ctype (so it doesn't skip non-ascii letters)
- better pl description
- release 2

Revision 1.3  2002/08/18 11:48:05  blues
license fix

Revision 1.2  2002/07/29 21:06:01  qboosh
- pl spelling

Revision 1.1  2002/07/29 15:39:02  wolf
- initial release
